// BUDP_AC_879x_com.inc

/************************************************************************/
/***	[Params]		*************************************************/
/************************************************************************/

COMMAND  read_ERROR
{
     SLOT 0;
     INDEX 51;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             ERROR_8792_8793
          }
     }
}

COMMAND  write_ERROR
{
     SLOT 0;
     INDEX 51;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             ERROR_8792_8793
          }
          REPLY
          {
          }
     }
}

COMMAND  read_DIAGNOSIS
{
     SLOT 1;
     INDEX 151;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             DIAGNOSIS
          }
     }
}

COMMAND  read_FACTORY_RESET
{
     SLOT 1;
     INDEX 152;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             FACTORY_RESET
          }
     }
}

COMMAND  write_FACTORY_RESET
{
     SLOT 1;
     INDEX 152;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             FACTORY_RESET
          }
          REPLY
          {
          }
     }
}

COMMAND  read_ACT_STROKE_TIME_DEC
{
     SLOT 1;
     INDEX 153;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             ACT_STROKE_TIME_DEC
          }
     }
}

COMMAND  read_ACT_STROKE_TIME_INC
{
     SLOT 1;
     INDEX 154;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             ACT_STROKE_TIME_INC
          }
     }
}

COMMAND  read_DEADBAND
{
     SLOT 1;
     INDEX 155;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             DEADBAND
          }
     }
}

COMMAND  write_DEADBAND
{
     SLOT 1;
     INDEX 155;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             DEADBAND
          }
          REPLY
          {
          }
     }
}

COMMAND  read_LIN_TYPE
{
     SLOT 1;
     INDEX 156;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             LIN_TYPE
          }
     }
}

COMMAND  write_LIN_TYPE
{
     SLOT 1;
     INDEX 156;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             LIN_TYPE
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SELF_CALIB_CMD
{
     SLOT 1;
     INDEX 157;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SELF_CALIB_CMD
          }
     }
}

COMMAND  write_SELF_CALIB_CMD
{
     SLOT 1;
     INDEX 157;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SELF_CALIB_CMD
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SERVO_GAIN_1
{
     SLOT 1;
     INDEX 158;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SERVO_GAIN_1
          }
     }
}

COMMAND  write_SERVO_GAIN_1
{
     SLOT 1;
     INDEX 158;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SERVO_GAIN_1
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SETP_CUTOFF_DEC
{
     SLOT 1;
     INDEX 159;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SETP_CUTOFF_DEC
          }
     }
}

COMMAND  write_SETP_CUTOFF_DEC
{
     SLOT 1;
     INDEX 159;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SETP_CUTOFF_DEC
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SETP_CUTOFF_INC
{
     SLOT 1;
     INDEX 160;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SETP_CUTOFF_INC
          }
     }
}

COMMAND  write_SETP_CUTOFF_INC
{
     SLOT 1;
     INDEX 160;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SETP_CUTOFF_INC
          }
          REPLY
          {
          }
     }
}

COMMAND  read_TRAVEL_LIMIT_LOW
{
     SLOT 1;
     INDEX 161;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TRAVEL_LIMIT_LOW
          }
     }
}

COMMAND  write_TRAVEL_LIMIT_LOW
{
     SLOT 1;
     INDEX 161;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             TRAVEL_LIMIT_LOW
          }
          REPLY
          {
          }
     }
}

COMMAND  read_TRAVEL_LIMIT_UP
{
     SLOT 1;
     INDEX 162;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TRAVEL_LIMIT_UP
          }
     }
}

COMMAND  write_TRAVEL_LIMIT_UP
{
     SLOT 1;
     INDEX 162;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             TRAVEL_LIMIT_UP
          }
          REPLY
          {
          }
     }
}

COMMAND  read_TRAVEL_RATE_DEC
{
     SLOT 1;
     INDEX 163;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TRAVEL_RATE_DEC
          }
     }
}

COMMAND  write_TRAVEL_RATE_DEC
{
     SLOT 1;
     INDEX 163;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             TRAVEL_RATE_DEC
          }
          REPLY
          {
          }
     }
}

COMMAND  read_TRAVEL_RATE_INC
{
     SLOT 1;
     INDEX 164;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TRAVEL_RATE_INC
          }
     }
}

COMMAND  write_TRAVEL_RATE_INC
{
     SLOT 1;
     INDEX 164;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             TRAVEL_RATE_INC
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SERVO_GAIN_2
{
     SLOT 1;
     INDEX 165;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SERVO_GAIN_2
          }
     }
}

COMMAND  write_SERVO_GAIN_2
{
     SLOT 1;
     INDEX 165;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SERVO_GAIN_2
          }
          REPLY
          {
          }
     }
}

COMMAND  read_POSITIONING_VALUE
{
     SLOT 1;
     INDEX 166;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             POSITIONING_VALUE
          }
     }
}

COMMAND  write_POSITIONING_VALUE
{
     SLOT 1;
     INDEX 166;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             POSITIONING_VALUE
          }
          REPLY
          {
          }
     }
}

 COMMAND  read_FEEDBACK_VALUE
{
     SLOT 1;
     INDEX 167;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             FEEDBACK_VALUE
          }
     }
}

COMMAND  read_DBDp
{
     SLOT 1;
     INDEX 174;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             DBDp
          }
     }
}

COMMAND  write_DBDp
{
     SLOT 1;
     INDEX 174;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             DBDp
          }
          REPLY
          {
          }
     }
}

COMMAND  read_KP
{
     SLOT 1;
     INDEX 175;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             KP
          }
     }
}

COMMAND  write_KP
{
     SLOT 1;
     INDEX 175;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             KP
          }
          REPLY
          {
          }
     }
}

COMMAND  read_TN
{
     SLOT 1;
     INDEX 176;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TN
          }
     }
}

COMMAND  write_TN
{
     SLOT 1;
     INDEX 176;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             TN
          }
          REPLY
          {
          }
     }
}

COMMAND  read_TV
{
     SLOT 1;
     INDEX 177;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TV
          }
     }
}

COMMAND  write_TV
{
     SLOT 1;
     INDEX 177;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             TV
          }
          REPLY
          {
          }
     }
}

COMMAND  read_X0
{
     SLOT 1;
     INDEX 178;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             X0
          }
     }
}

COMMAND  write_X0
{
     SLOT 1;
     INDEX 178;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             X0
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mPCONsetp
{
     SLOT 1;
     INDEX 179;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mPCONsetp
          }
     }
}

COMMAND  write_mPCONsetp
{
     SLOT 1;
     INDEX 179;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             mPCONsetp
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mPCONinp
{
     SLOT 1;
     INDEX 180;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mPCONinp
          }
     }
}

COMMAND  read_FTfgPV
{
     SLOT 1;
     INDEX 181;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             FTfgPV
          }
     }
}

COMMAND  write_FTfgPV
{
     SLOT 1;
     INDEX 181;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             FTfgPV
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SCALunit
{
     SLOT 1;
     INDEX 182;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SCALunit
          }
     }
}

COMMAND  write_SCALunit
{
     SLOT 1;
     INDEX 182;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SCALunit
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SCALdp
{
     SLOT 1;
     INDEX 183;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SCALdp
          }
     }
}

COMMAND  write_SCALdp
{
     SLOT 1;
     INDEX 183;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SCALdp
          }
          REPLY
          {
          }
     }
}

COMMAND  read_PVmin
{
     SLOT 1;
     INDEX 184;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             PVmin
          }
     }
}

COMMAND  write_PVmin
{
     SLOT 1;
     INDEX 184;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             PVmin
          }
          REPLY
          {
          }
     }
}

COMMAND  read_PVmax
{
     SLOT 1;
     INDEX 185;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             PVmax
          }
     }
}

COMMAND  write_PVmax
{
     SLOT 1;
     INDEX 185;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             PVmax
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SPmin
{
     SLOT 1;
     INDEX 186;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SPmin
          }
     }
}

COMMAND  write_SPmin
{
     SLOT 1;
     INDEX 186;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SPmin
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SPmax
{
     SLOT 1;
     INDEX 187;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SPmax
          }
     }
}

COMMAND  write_SPmax
{
     SLOT 1;
     INDEX 187;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SPmax
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mCUTOFFtype

{
     SLOT 1;
     INDEX 188;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mCUTOFFtype
          }
     }
}

COMMAND  write_mCUTOFFtype
{
     SLOT 1;
     INDEX 188;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             mCUTOFFtype
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mBUSfail_func

{
     SLOT 1;
     INDEX 189;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mBUSfail_func
          }
     }
}

COMMAND  write_mBUSfail_func
{
     SLOT 1;
     INDEX 189;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             mBUSfail_func
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mERRpinp_func

{
     SLOT 1;
     INDEX 190;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mERRpinp_func
          }
     }
}

COMMAND  write_mERRpinp_func
{
     SLOT 1;
     INDEX 190;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             mERRpinp_func
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mSPOSpinp_func

{
     SLOT 1;
     INDEX 191;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mSPOSpinp_func
          }
     }
}

COMMAND  write_mSPOSpinp_func
{
     SLOT 1;
     INDEX 191;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             mSPOSpinp_func
          }
          REPLY
          {
          }
     }
}

COMMAND  read_mSAFEpos

{
     SLOT 1;
     INDEX 192;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             mSAFEpos
          }
     }
}

COMMAND  write_mSAFEpos
{
     SLOT 1;
     INDEX 192;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             mSAFEpos
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SETP_DEVIATION
{
     SLOT 1;
     INDEX 193;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SETP_DEVIATION
          }
     }
}

COMMAND  read_INCREASE_CLOSE
{
     SLOT 1;
     INDEX 194;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             INCREASE_CLOSE
          }
     }
}

COMMAND  write_INCREASE_CLOSE
{
     SLOT 1;
     INDEX 194;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             INCREASE_CLOSE
          }
          REPLY
          {
          }
     }
}

COMMAND  read_MODE
{
     SLOT 1;
     INDEX 195;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             MODE1
          }
     }
}

COMMAND  write_MODE
{
     SLOT 1;
     INDEX 195;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             MODE1
          }
          REPLY
          {
          }
     }
}

COMMAND  read_SP
{
     SLOT 1;
     INDEX 196;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             SP
          }
     }
}

COMMAND  write_SP
{
     SLOT 1;
     INDEX 196;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             SP
          }
          REPLY
          {
          }
     }
}

COMMAND  read_PV
{
     SLOT 1;
     INDEX 197;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             PV
          }
     }
}

COMMAND  read_TEMP
{
     SLOT 1;
     INDEX 198;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             TEMP
          }
     }
}

COMMAND  read_PCON
{
     SLOT 1;
     INDEX 202;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
              PCON
          }
     }
}

COMMAND  write_PCON
{
     SLOT 1;
     INDEX 202;
     OPERATION WRITE;
     TRANSACTION
     {
          REQUEST
          {
             PCON
          }
          REPLY
          {
          }
     }
}

COMMAND  read_XTUNE_STATUS
{
     SLOT 1;
     INDEX 203;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
              XTUNE_STATUS
          }
     }
}



/*******************************************************************************/
/*****	Device   ***************************************************************/
/*******************************************************************************/

COMMAND  read_phys_DEVICE_MAN_ID
{
     SLOT 1;
     INDEX 250;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             phys_DEVICE_MAN_ID
          }
     }
}

COMMAND  read_phys_IDENT_NUMBER
{
     SLOT 1;
     INDEX 251;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             phys_IDENT_NUMBER
          }
     }
}

COMMAND  read_phys_tag_desc
{
     SLOT 1;
     INDEX 252;
     OPERATION READ;
     TRANSACTION
     {
          REQUEST
          {
          }
          REPLY
          {
             phys_tag_desc
          }
     }
}

